{
  "schema_version": "1.4.0",
  "id": "GHSA-q6xw-8r38-j7rr",
  "modified": "2025-04-11T03:41:29Z",
  "published": "2022-05-14T02:44:09Z",
  "aliases": [
    "CVE-2010-2586"
  ],
  "details": "Multiple integer overflows in in_nsv.dll in the in_nsv plugin in Winamp before 5.6 allow remote attackers to execute arbitrary code via a crafted Table of Contents (TOC) in a (1) NSV stream or (2) NSV file that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2586"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A12587"
    },
    {
      "type": "WEB",
      "url": "http://forums.winamp.com/showthread.php?t=324322"
    },
    {
      "type": "WEB",
      "url": "http://forums.winamp.com/showthread.php?threadid=159785"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42004"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2010-127"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/514962/100/0/threaded"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-12-02T16:22:00Z"
  }
}